PROC_SEL(9)

NAME
proc_sel - select a process by a criteria

SYNOPSIS
linux/kernel/sys.c
#include <linux/resource.h>
static int proc_sel(struct task_struct *p, int which, int who);

DESCRIPTION
Compares a task p to supplied information or the current task in some aspect of priority. If who is zero then the comparison is task p and the current task. Otherwise, who and *p are the supplied information for the comparison.

OPTIONS
Valid values of which:

    PRIO_PROCESS
        Compares process ID numbers

        There is an exception here. If who is not zero and task p is the current task then true is always returned.

    PRIO_PGRP
        Compares process group leader numbers

    PRIO_USER
        Compares user id numbers

RETURN VALUE
Returns truth values (0, 1)

AUTHOR
Linus Torvalds

ALSO SEE
sys_setpriority(2), sys_getpriority(2)